// using pug templates
- var col_sizes = ["col-sm-12", "col-sm-6", "col-sm-4 col-xs-6", "col-sm-3", "col-lg-2 col-sm-3 col-xs-4 col-lg-push-1", "col-lg-2 col-sm-3 col-xs-6", "col-lg-1 col-sm-2 col-xs-3"];
- function getColSize(length, max){return col_sizes[Math.min(length, max) -1]}

mixin text(slice)
  != slice.value.asHtml(ctx.linkResolver)

mixin gallerie_image(slice)
  .container-fluid.showcase
    .row
      .col-lg-12.text-center
        div!= PrismicDOM.RichText.asHtml(slice.primary.gallerie_nom, ctx.linkResolver)
    each image in slice.items
      .row.no-gutters
        .col-lg-6.order-lg-2.text-white.showcase-img(style="background-image:url(" + image.gallerie_image.url +")")
        .col-lg-6.order-lg-1.my-auto.showcase-text
          p.lead !{PrismicDOM.RichText.asHtml(image.gallerie_image_texte, ctx.linkResolver)}      

mixin personne(personne, nombre_personnes)
  .personne.text-center(class=getColSize(nombre_personnes, 6))
    if personne.portrait.url
      img(src=personne.portrait.url, alt=personne.first_and_lastname)
    h3 !{PrismicDOM.RichText.asText(personne.first_and_lastname, ctx.linkResolver)}
    p !{PrismicDOM.RichText.asText(personne.position, ctx.linkResolver)}
    //-ul.list-inline.social-buttons
      li.list-inline-item
        a(href="#")
          i.fa.fa-twitter
      li.list-inline-item
        a(href="#")
          i.fa.fa-facebook
      li.list-inline-item
        a(href="#")
          i.fa.fa-linkedin

mixin page_header(data)
  if data.image_banniere.url
    .header(style="background-image:url(" + data.image_banniere.url +")")
    .page-title
      if data.titre
        !=PrismicDOM.RichText.asHtml(data.titre, ctx.linkResolver)
      if data.sous_titre
        !=PrismicDOM.RichText.asHtml(data.sous_titre, ctx.linkResolver)
  else
    if data.titre
      .container
        !=PrismicDOM.RichText.asText(data.titre, ctx.linkResolver)
      if data.sous_titre
        !=PrismicDOM.RichText.asText(data.sous_titre, ctx.linkResolver)


mixin richtext(slice)
  section.container
    .col-xs-12
      //- pre!= JSON.stringify(slice.primary)
      if slice.primary.richtext_titre
        != PrismicDOM.RichText.asHtml(slice.primary.richtext_titre, ctx.linkResolver)
      if slice.primary.richtext_text
        != PrismicDOM.RichText.asHtml(slice.primary.richtext_text, ctx.linkResolver)

mixin team(slice)
  section.team.bg-light
    .container
      if slice.primary.team_section
        h1.section-heading !{PrismicDOM.RichText.asText(slice.primary.team_section, ctx.linkResolver)}
      .row
        each personne in slice.items
          +personne(personne, slice.items.length)

mixin statistiques(slice, inline_title)
  section.section-statistiques.bg-light(class="statistique-type-"+slice.primary.statistique_type)
    .container
      if slice.primary.statistique_titre.length
        h1.statistique-title !{PrismicDOM.RichText.asText(slice.primary.statistique_titre, ctx.linkResolver)}
      .row
        each statistique in slice.items
          +statistique(statistique, slice.items.length, inline_title)

mixin statistique(statistique, length, inline_title)
  if statistique.nombre
    .statistique.text-center(class=getColSize(length, 6))
      .number-heading(style="color:"+ statistique.couleur_icone)
        if inline_title && statistique.icone
          i.fa.fa-2x(class=statistique.icone)
        if statistique.nombre
          span 
            !=statistique.nombre
            if statistique.unite
              !=PrismicDOM.RichText.asText(statistique.unite).trim()
        if inline_title && statistique.statistique_titre
          small !{PrismicDOM.RichText.asText(statistique.statistique_titre).trim()}
        if !inline_title && statistique.icone
          i.fa.fa-2x(class=statistique.icone)
      if !inline_title && statistique.statistique_titre
        h2.service-heading !{PrismicDOM.RichText.asText(statistique.statistique_titre).trim()}
      if statistique.statistique_description
        p !{PrismicDOM.RichText.asHtml(statistique.statistique_description, ctx.linkResolver)}

mixin onglets(slice)
  section.section-onglets.bg-light
    .container
      if slice.primary.onglet_section_titre
        h1 !{PrismicDOM.RichText.asText(slice.primary.onglet_section_titre, ctx.linkResolver)}
      .row
        each onglet in slice.items
          .col-sm-4
            .thumbnail.text-center
              if onglet.onglet_image
                img.rounded(src=onglet.onglet_image.url, alt=onglet.onglet_titre.text)
              if onglet.onglet_titre
                h2 !{PrismicDOM.RichText.asText(onglet.onglet_titre, ctx.linkResolver)}
              if onglet.onglet_description
                p !{PrismicDOM.RichText.asHtml(onglet.onglet_description, ctx.linkResolver)}
              if onglet.onglet_cta && (onglet.onglet_cta.id || onglet.onglet_cta.url)
                a.btn.btn-info(href=PrismicDOM.Link.url(onglet.onglet_cta, ctx.linkResolver)) 
                  if onglet.onglet_cta_title
                    | !{PrismicDOM.RichText.asText(onglet.onglet_cta_title, ctx.linkResolver)}
                  else
                    | En savoir plus

mixin image_plein_ecran(slice)
  .jumbotron.jumbotron-fluid.jumbotron-section(style="background-image:url(" + slice.primary.banner_image.url +")")
    .dark-overlay
    .content.container
      .row
        if slice.primary.banner_titre
          h1 !{PrismicDOM.RichText.asText(slice.primary.banner_titre, ctx.linkResolver)}
        if slice.primary.banner_description
          p !{PrismicDOM.RichText.asHtml(slice.primary.banner_description, ctx.linkResolver)}
      .row
        each colonne in slice.items
          .col-sm-6
              if colonne.banner_item_titre
                h2 !{PrismicDOM.RichText.asText(colonne.banner_item_titre, ctx.linkResolver)}
              if colonne.banner_item_description
                p !{PrismicDOM.RichText.asHtml(colonne.banner_item_description, ctx.linkResolver)}
              if colonne.banner_item_cta && (colonne.banner_item_cta.id || colonne.banner_item_cta.url)
                a.btn.btn-info(href=PrismicDOM.Link.url(colonne.banner_item_cta, ctx.linkResolver)) En savoir plus

mixin text(slice)
  section.gallerie
    .container
      .row
        if slice.primary.text_image_titre
          h1 !{PrismicDOM.RichText.asText(slice.primary.text_image_titre, ctx.linkResolver)}
      each colonne, index in slice.items
        - var inverted = (index % 2 == 1) ? "gallerie-item-impair" : "";
        - var fullwidth_image = colonne.text_image_item_image && colonne.text_image_item_texte == "" ? "col-sm-12" : "col-sm-4";
        - var fullwidth_texte = colonne.text_image_item_texte != "" && !colonne.text_image_item_image ? "col-sm-12" : "col-sm-8";
        .row.gallerie-item(class=inverted)
          
          if colonne.text_image_item_image
            if fullwidth_image == "col-sm-12"
              img(class=fullwidth_image src=colonne.text_image_item_image.full.url, alt=colonne.text_image_item_titre.text)
            else
              img(class=fullwidth_image src=colonne.text_image_item_image.url, alt=colonne.text_image_item_titre.text)
          if colonne.text_image_item_titre != ""
            div(class=fullwidth_texte)
              if colonne.text_image_item_titre
                h2 !{PrismicDOM.RichText.asText(colonne.text_image_item_titre, ctx.linkResolver)}
              if colonne.text_image_item_texte
                p !{PrismicDOM.RichText.asHtml(colonne.text_image_item_texte, ctx.linkResolver)}
              if colonne.text_image_item_cta && (colonne.text_image_item_cta.id || colonne.text_image_item_cta.url)
                a.btn.btn-info(href=PrismicDOM.Link.url(colonne.text_image_item_cta, ctx.linkResolver)) En savoir plus

mixin texte_2col(slice)
  section
    .container
      if slice.primary.col_titre
        h1 !{PrismicDOM.RichText.asText(slice.primary.col_titre, ctx.linkResolver)}
      each colonne, index in slice.items
        .texte_2col(class=getColSize(slice.items.length, 2, index))
            if colonne.col_item_image
              img(src=colonne.col_item_image.url, alt=colonne.col_item_titre.text)
            if colonne.col_item_titre
              h2 !{PrismicDOM.RichText.asText(colonne.col_item_titre, ctx.linkResolver)}
            if colonne.col_item_description
              p !{PrismicDOM.RichText.asHtml(colonne.col_item_description, ctx.linkResolver)}
            if colonne.col_item_cta && (colonne.col_item_cta.id || colonne.col_item_cta.url)
              a.btn.btn-info(href=PrismicDOM.Link.url(colonne.col_item_cta, ctx.linkResolver)) En savoir plus

mixin timeline(slice)
  section#about
    .container
      .col-sm-12
        if slice.primary.timeline_titre
          h1 !{PrismicDOM.RichText.asText(slice.primary.timeline_titre, ctx.linkResolver)}

        if slice.primary.timeline_description
          p !{PrismicDOM.RichText.asHtml(slice.primary.timeline_description, ctx.linkResolver)}
        if slice.primary.timeline_cta && (slice.primary.timeline_cta.id  || slice.primary.timeline_cta.url)
          a.btn.btn-info(href=PrismicDOM.Link.url(slice.primary.timeline_cta, ctx.linkResolver)) En savoir plus
      ul.timeline.col-xs-12
        each colonne, index in slice.items
          - var inverted = (index % 2 == 1) ? "timeline-inverted" : "";

          li(class=inverted)
            .timeline-image
              if colonne.timeline_item_image
                img.rounded-circle.img-fluid(src=colonne.timeline_item_image.url, alt=colonne.timeline_item_titre.text)
              else if colonne.timeline_item_image
                i.fa.fa-6x(class=colonne.timeline_item_image)
            .timeline-panel
              .timeline-heading
                if colonne.timeline_item_titre
                  h2 !{PrismicDOM.RichText.asText(colonne.timeline_item_titre, ctx.linkResolver)}
              .timeline-body                
                if colonne.timeline_item_description
                  p !{PrismicDOM.RichText.asHtml(colonne.timeline_item_description, ctx.linkResolver)}

mixin bandeau(slice)
  section.bandeau
    .container
      .row
        .col-lg-12.text-center
          if slice.primary.bandeau_titre
            h1.section-heading !{PrismicDOM.RichText.asText(slice.primary.bandeau_titre, ctx.linkResolver)}
          //- h3.section-subheading.text-muted Lorem ipsum dolor sit amet consectetur.
      .row.bandeau-item-container
        each bandeau in slice.items
          a.bandeau-item.text-center(class=getColSize(slice.items.length, 6), href=PrismicDOM.Link.url(bandeau.bandeau_item_link, ctx.linkResolver), target="_blank")
            img(src=bandeau.bandeau_item_image.url, alt=bandeau.bandeau_item_titre)
            h2 !{PrismicDOM.RichText.asText(bandeau.bandeau_item_titre, ctx.linkResolver)}

include highlight
include contact
include cta
include succes

mixin slices(slices)
  each slice in slices
    case slice.slice_type 
      when "team"
        +team(slice)
      when "statistiques"
        +statistiques(slice)
      when "image_plein_ecran"
        +image_plein_ecran(slice)
      when "richtext"
        +richtext(slice)
      when "gallerie_image"
        +gallerie_image(slice)
      when "onglets"
        +onglets(slice)
      when "texte_2col"
        +texte_2col(slice)
      when "timeline"
        +timeline(slice)
      when "text"
        +text(slice)
      when "bandeau"
        +bandeau(slice)
      when "highlight"
        +highlight(slice)
      when "contact"
        +contact(slice)
      when "cta"
        +cta(slice)
